#pragma once
#include "pandaWaterCore.h"

class CivConnection;

/**
	属性表类
*/
class PANDAWATERCORELIB_API CivAttributeTable
{
public:
	// 属性表类型
	enum AttributeType
	{
		Geometry, // 空间几何信息表类型
		System // 系统属性表
	};

	// 构造函数
	explicit CivAttributeTable(AttributeType attriType);

	// 注册数据库
	void regist(CivConnection* civconn);

	// 取消注册的数据库链接对象
	void unregist();

	// 提交保存
	bool commitChanges();

private:
	AttributeType mAttriType;
	CivConnection* mConn = nullptr;
};
